Package org.apache.felix.gogo.command

# Class OBR

java.lang.Object
org.apache.felix.gogo.command.OBR

public class OBR extends Object

## Constructor Summary

Constructors
Constructor
Description
`OBR(org.osgi.framework.BundleContext bc, org.osgi.util.tracker.ServiceTracker tracker)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deploy(boolean start, boolean requiredOnly, String[] args)`
`void`
`info(String[] args)`
`void`
`javadoc(boolean extract, File localDir, String[] args)`
`void`
`list(boolean verbose, String[] args)`
`void`
`repos(String action, String[] args)`
`void`
`source(boolean extract, File localDir, String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OBR

public OBR(org.osgi.framework.BundleContext bc, org.osgi.util.tracker.ServiceTracker tracker)

## Method Details

### repos

public void repos(String action, String[] args) throws IOException

Throws:
  `IOException`

### list

public void list(boolean verbose, String[] args) throws IOException, org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`

### info

public void info(String[] args) throws IOException, org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`

### deploy

public void deploy(boolean start, boolean requiredOnly, String[] args) throws IOException, org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`

### source

public void source(boolean extract, File localDir, String[] args) throws IOException, org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`

### javadoc

public void javadoc(boolean extract, File localDir, String[] args) throws IOException, org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`